XnEvent Class Reference

`#include <XnEvent.h>`

Inheritance diagram for XnEvent:
[legend]

## Public Member Functions

| XnEvent ()
virtual | ~XnEvent ()
XnStatus | Register (HandlerPtr pFunc, void *pCookie, XnCallbackHandle *pHandle)
XnStatus | Unregister (XnCallbackHandle handle)
XnStatus | Clear ()
Public Member Functions inherited from XnEventInterface
| XnEventInterface ()
virtual | ~XnEventInterface ()

## Protected Member Functions

XnStatus | ApplyListChanges ()

## Protected Attributes

XN_CRITICAL_SECTION_HANDLE | m_hLock
XnCallbackPtrList | m_Handlers
XnCallbackPtrList | m_ToBeAdded
XnCallbackPtrList | m_ToBeRemoved

## Additional Inherited Members

Public Types inherited from XnEventInterface
typedef XnStatus(* | HandlerPtr) (void *pCookie)

## Constructor & Destructor Documentation

## XnEvent()

XnEvent::XnEvent | ( |  | ) |

inline

## ~XnEvent()

virtual XnEvent::~XnEvent | ( |  | ) |

inline virtual

## Member Function Documentation

## ApplyListChanges()

XnStatus XnEvent::ApplyListChanges | ( |  | ) |

inline protected

## Clear()

XnStatus XnEvent::Clear | ( |  | ) |

inline

## Register()

XnStatus XnEvent::Register | ( | HandlerPtr | pFunc,
|  | void * | pCookie,
|  | XnCallbackHandle * | pHandle )

inline virtual

Implements XnEventInterface.

## Unregister()

XnStatus XnEvent::Unregister | ( | XnCallbackHandle | handle | ) |

inline virtual

Implements XnEventInterface.

## Member Data Documentation

## m_Handlers

XnCallbackPtrList XnEvent::m_Handlers

protected

## m_hLock

XN_CRITICAL_SECTION_HANDLE XnEvent::m_hLock

protected

## m_ToBeAdded

XnCallbackPtrList XnEvent::m_ToBeAdded

protected

## m_ToBeRemoved

XnCallbackPtrList XnEvent::m_ToBeRemoved

protected

The documentation for this class was generated from the following file:

- XnEvent.h